using UVC.Log;

namespace UVC.UI.Commands
{
    // 간단한 디버그 로그 출력 커맨드
    public class DebugLogCommand : ICommand
    {
        private readonly string _message;

        public DebugLogCommand(string message)
        {
            _message = message;
        }

        public void Execute(object parameter = null)
        {
            string finalMessage = _message;
            if (parameter != null)
            {
                finalMessage += $", parameter: {parameter}";
            }
            ULog.Debug(finalMessage);
        }
    }
}
